Skip to content

Report details.

GET
/api/infraprotect/namespaces/{namespace}/infraprotect/report/{report_id}
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/report/example \
--header 'Authorization: <Authorization>'

Returns details of a report, most importantly the PDF document itself.

Examples of this operation.

namespace
required
string

Namespace This request is supported only in system namespace.

report_id
required
string

Report ID ID of the document we want to GET the contents for.

A successful response.

Media typeapplication/json
Report response

Single report document content.

object
attachment
object
attachment_id
Attachment ID

ID of the attachment.

string
<= 1024 characters
attachment_type
string
default: ATTACHMENT_TYPE_UNKNOWN
Allowed values: ATTACHMENT_TYPE_UNKNOWN ATTACHMENT_TYPE_PCAP ATTACHMENT_TYPE_BINARY ATTACHMENT_TYPE_INVALID_PCAP ATTACHMENT_TYPE_OTHER
end_time
End time

End time as an RFC3339 string.

string format: date-time
<= 1024 characters
gos_name
GOS name

Generic object storage name of the attachment.

string
<= 1024 characters
gos_version
GOS version

Generic object storage version of the attachment.

string
<= 1024 characters
name
Name

Name of the attachment.

string
>= 6 characters <= 1024 characters
size_bytes
Size

Size of the attachment.

string format: int64
<= 1024 characters
start_time
Start time

Start time as an RFC3339 string.

string format: date-time
<= 1024 characters
Example
{
"attachment": {
"attachment_type": "ATTACHMENT_TYPE_UNKNOWN"
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example